 figure

 [d,sr] = wavread('sb01_Clean.sph.wav');
 subplot(411)
 [  all,  c, ax, vx  ]  = GTCCxx( d, sr , 0 );
 
 for i = 1 : 13
          c(i, : ) = c(i, : ) - mean(c(i, : ));
 end
 
 c_idct       = idct(c, 40);

 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * c_idct + far_skala_1);
 axis xy
xlabel('Rámce')
 ylabel('Kanály')
 title('Spektrum nahrávky(Reč s tichom na pozadí) s použitím CMN')

 [d,sr] = wavread('sb01_Clean.sph.wav');
 subplot(412)
 [  all,  c, ax, vx  ]  = GTCCxx( d, sr , 0 );
 
 c_idct       = idct(c, 40);

 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * c_idct + far_skala_1);
 axis xy
xlabel('Rámce')
 ylabel('Kanály')
 title('Spektrum nahrávky(Reč s tichom na pozadí) bez použitia CMN')
 
  [d,sr] = wavread( 'sb01_White_05dB.sph.wav');
  subplot(413)
 [  all,  c, ax, vx  ]  = GTCCxx( d, sr , 0 );
 
  for i = 1 : 13
          c(i, : ) = c(i, : ) - mean(c(i, : ));
 end
 
 c_idct       = idct(c, 40);

 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * c_idct + far_skala_1);
 axis xy
xlabel('Rámce')
 ylabel('Kanály')
 title('Spektrum nahrávky(Reč s bielym šumom na pozadí) s použitím CMN')


 
  [d,sr] = wavread( 'sb01_White_05dB.sph.wav');
  subplot(414)
 [  all,  c, ax, vx  ]  = GTCCxx( d, sr , 0 );
 
 c_idct       = idct(c, 40);

 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * c_idct + far_skala_1);
 axis xy
xlabel('Rámce')
 ylabel('Kanály')
 title('Spektrum nahrávky(Reč s bielym šumom na pozadí) bez použitia CMN')
